Subject: Re: linux-next: Tree for Oct 25 (drivers/platform/x86/amd-pmc.c)

From: Hans de Goede <[email-masked]>
Date: Tue, 26 Oct 2021 09:55:19 +0200

Hi Mario,

On 10/25/21 23:32, Limonciello, Mario wrote:
> [Public]
> 
> 
> 
>> -----Original Message-----
>> From: Hans de Goede <[email-masked]>
>> Sent: Monday, October 25, 2021 16:29
>> To: Randy Dunlap <[email-masked]>; Stephen Rothwell
>> <[email-masked]>; Linux Next Mailing List <linux-
>> [email-masked]>; Limonciello, Mario <[email-masked]>
>> Cc: Linux Kernel Mailing List <[email-masked]>; platform-
>> [email-masked]; S-k, Shyam-sundar <Shyam-sundar.S-
>> [email-masked]>
>> Subject: Re: linux-next: Tree for Oct 25 (drivers/platform/x86/amd-pmc.c)
>>
>> Hi,
>>
>> On 10/25/21 22:50, Randy Dunlap wrote:
>>> On 10/25/21 2:49 AM, Stephen Rothwell wrote:
>>>> Hi all,
>>>>
>>>> There seems to be something amiss with cnosole output in today's
>> release
>>>> (at least on my ppc qemu boot tests).
>>>>
>>>> Changes since 20211022:
>>>>
>>>
>>> on x86_64:
>>>
>>> ../drivers/platform/x86/amd-pmc.c: In function
>> ‘amd_pmc_verify_czn_rtc’:
>>> ../drivers/platform/x86/amd-pmc.c:428:30: error:
>> ‘CONFIG_RTC_SYSTOHC_DEVICE’ undeclared (first use in this function); did
>> you mean ‘CONFIG_RTC_HCTOSYS_DEVICE’?
>>>   rtc_device = rtc_class_open(CONFIG_RTC_SYSTOHC_DEVICE);
>>>                               ^~~~~~~~~~~~~~~~~~~~~~~~~
>>>                               CONFIG_RTC_HCTOSYS_DEVICE
>>
>> Hmm, yes using either CONFIG setting is a problem since it is not always
>> defined. Both simply default to "rtc0" though and this is also which
>> standard distro configs use.
>>
>> Mario, can we just replace CONFIG_RTC_SYSTOHC_DEVICE with "rtc0"
>> here to fix this ?
>>
>> Regards,
>>
>> Hans
> 
> Shyam pointed me at this and I sent out a fix, but I think our emails just crossed paths.
> 
> Take a look at what I did, but if you would prefer to just hardcode it to 
> "rtc0" that is fine for me.

Just hardcoding it to "rtc0" saves us a #ifdef, so I slightly prefer that,
but if you believe it would be better to go with CONFIG_RTC_SYSTOHC_DEVICE
I'm fine with going with your fix.

Either way please let me know how you want to proceed with this.

Regards,

Hans